at.chipkarte.client.elgaad.soap

## Class Teilnehmer

- Object
- - at.chipkarte.client.elgaad.soap.Teilnehmer

-     public class Teilnehmer
      extends Object

  Teilnehmerdaten.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Teilnehmer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adresse[]` | `getAdressen()` Adressen.
    `Code` | `getFunktionscode()` Funktionscode.
    `Name` | `getName()` Name.
    `Code` | `getNullFlavorId()` Nullflavor.
    `Organization` | `getOrganization()` Orgisation.
    `String[]` | `getTelecom()` Telefonnummern.
    `String` | `getZeitpunkt()` Zeitpunkt der Aktion.
    `void` | `setAdressen(Adresse[] adressen)`
    `void` | `setFunktionscode(Code funktionscode)`
    `void` | `setName(Name name)`
    `void` | `setNullFlavorId(Code nullFlavorId)`
    `void` | `setOrganization(Organization organization)`
    `void` | `setTelecom(String[] telecom)`
    `void` | `setZeitpunkt(String zeitpunkt)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Teilnehmer

          public Teilnehmer()

  - ### Method Detail

    - #### getNullFlavorId

          public Code getNullFlavorId()

      Nullflavor. Siehe `Code`.
      Angabe: Muss.
      Returns:
        NullFlavorId

    - #### setNullFlavorId

          public void setNullFlavorId(Code nullFlavorId)

    - #### getZeitpunkt

          public String getZeitpunkt()

      Zeitpunkt der Aktion.
      Angabe: Muss.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Zeitpunkt

    - #### setZeitpunkt

          public void setZeitpunkt(String zeitpunkt)

    - #### getFunktionscode

          public Code getFunktionscode()

      Funktionscode. Siehe `Code`.
      Angabe: Muss.
      mÃ¶gliche Werte: siehe Terminologieserver ValueSets eImpf_Impfrollen (z.B. 100)
      Returns:
        Funktionscode

    - #### setFunktionscode

          public void setFunktionscode(Code funktionscode)

    - #### getAdressen

          public Adresse[] getAdressen()

      Adressen. Siehe `Adresse`.
      Angabe: Kann.
      Returns:
        Adressen

    - #### setAdressen

          public void setAdressen(Adresse[] adressen)

    - #### getTelecom

          public String[] getTelecom()

      Telefonnummern.
      Angabe: Kann.
      Returns:
        Telecoms

    - #### setTelecom

          public void setTelecom(String[] telecom)

    - #### getName

          public Name getName()

      Name. Siehe `Name`.
      Angabe: Muss.
      Returns:
        Name

    - #### setName

          public void setName(Name name)

    - #### getOrganization

          public Organization getOrganization()

      Orgisation. Siehe `Organization`.
      Angabe: Muss.
      Returns:
        Organization

    - #### setOrganization

          public void setOrganization(Organization organization)